Run a privileges check on Privilege Monitoring

Base URL
https://{kibana_url}
  • GET /api/entity_analytics/monitoring/privileges/privileges
  • GET /s/{space_id}/api/entity_analytics/monitoring/privileges/privileges
Auth Deprecated

Deprecated in 9.4.0. Use the Watchlists APIs instead.

Check if the current user has all required permissions for Privilege Monitoring.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Response

Successful response

application/json
has_all_required boolean required
has_install_permissions boolean
has_read_permissions boolean
has_write_permissions boolean
privileges object required
elasticsearch object required
cluster map string to boolean
index map string to string to boolean
kibana map string to boolean
Base URL
https://{kibana_url}